<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<environment xmlns="Omnidex" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <name>$OMNIDEX_GLOBAL_CONFIGURATION</name>

  <databases>
    <database>
      <name>$OMNIDEX_GLOBAL_CONFIGURATION</name>
      <nodes>
        <node type="FILE">
          <indexDirectory>{$OMNIDEX_DATA/config/idx}</indexDirectory>
        </node>
      </nodes>
      <tables>
        <table>
          <name>$LISTS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LANG/lists/*.txt},
{$OMNIDEX_LANG/lists/*.tdf}</physical>
              <options>DELIMITED</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <indexes>
            <index type="CUSTOM">
              <name>$LIST</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$LISTS</ownerTableName>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
              </indexComponents>
            </index>
          </indexes>
          <columns>
            <column type="NATIVE">
              <name>$LIST</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$REPLACEMENT</name>
              <datatype>STRING</datatype>
              <length>4095</length>
            </column>
            <column type="NATIVE">
              <name>$COMMENTS</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$STOPWORDS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LANG/stopwords/*.txt},
{$OMNIDEX_LANG/stopwords/*.tdf}</physical>
              <options>DELIMITED</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <indexes>
            <index type="CUSTOM">
              <name>$LIST</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$STOPWORDS</ownerTableName>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>$WORD</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$STOPWORDS</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$WORD</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>LIST_WORD</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$STOPWORDS</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
                <indexComponent>
                  <columnName>$WORD</columnName>
                </indexComponent>
              </indexComponents>
            </index>
          </indexes>
          <columns>
            <column type="NATIVE">
              <name>$LIST</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$WORD</name>
              <datatype>STRING</datatype>
              <length>128</length>
            </column>
            <column type="NATIVE">
              <name>$COMMENTS</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$SYNONYMS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LANG/synonyms/*.txt},
{$OMNIDEX_LANG/synonyms/*.tdf}</physical>
              <options>DELIMITED</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <indexes>
            <index type="CUSTOM">
              <name>$LIST</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$SYNONYMS</ownerTableName>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>$WORD</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$SYNONYMS</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$WORD</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>LIST_WORD</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$SYNONYMS</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
                <indexComponent>
                  <columnName>$WORD</columnName>
                </indexComponent>
              </indexComponents>
            </index>
          </indexes>
          <columns>
            <column type="NATIVE">
              <name>$LIST</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$WORD</name>
              <datatype>STRING</datatype>
              <length>128</length>
            </column>
            <column type="NATIVE">
              <name>$REPLACEMENT</name>
              <datatype>STRING</datatype>
              <length>4095</length>
            </column>
            <column type="NATIVE">
              <name>$COMMENTS</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$PHONETIC</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LANG/phonetic/*.txt},
{$OMNIDEX_LANG/phonetic/*.tdf}</physical>
              <options>DELIMITED</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <indexes>
            <index type="CUSTOM">
              <name>$LIST</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>$WORD</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$WORD</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>$TYPE</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$TYPE</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>$SOUNDEX</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$SOUNDEX</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>$METAPHONE1</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$METAPHONE1</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>$METAPHONE2</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$METAPHONE2</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>LIST_TYPE</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
                <indexComponent>
                  <columnName>$TYPE</columnName>
                </indexComponent>
              </indexComponents>
            </index>
            <index type="CUSTOM">
              <name>LIST_TYPE_SOUNDEX</name>
              <omnidexSettings caseInsensitive="true">
                <ownerTableName>$PHONETIC</ownerTableName>
                <options>STANDALONE</options>
              </omnidexSettings>
              <indexComponents>
                <indexComponent>
                  <columnName>$LIST</columnName>
                </indexComponent>
                <indexComponent>
                  <columnName>$TYPE</columnName>
                </indexComponent>
                <indexComponent>
                  <columnName>$SOUNDEX</columnName>
                </indexComponent>
              </indexComponents>
            </index>
          </indexes>
          <columns>
            <column type="NATIVE">
              <name>$LIST</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$WORD</name>
              <datatype>STRING</datatype>
              <length>128</length>
            </column>
            <column type="NATIVE">
              <name>$TYPE</name>
              <datatype>CHARACTER</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$SOUNDEX</name>
              <datatype>CHARACTER</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$METAPHONE1</name>
              <datatype>CHARACTER</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$METAPHONE2</name>
              <datatype>CHARACTER</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$COMMENTS</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$USAGES</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LANG/usages/*.txt},
{$OMNIDEX_LANG/usages/*.tdf}</physical>
              <options>DELIMITED</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <columns>
            <column type="NATIVE">
              <name>$LIST</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$USAGE</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$PARSING</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$FORMAT</name>
              <datatype>CHARACTER</datatype>
              <length>255</length>
            </column>
            <column type="NATIVE">
              <name>$POWERSEARCH</name>
              <datatype>STRING</datatype>
              <length>4095</length>
            </column>
            <column type="NATIVE">
              <name>$COMMENTS</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$MESSAGES</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LANG/messages/*.txt},
{$OMNIDEX_LANG/messages/*.tdf}</physical>
              <options>DELIMITED</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <columns>
            <column type="NATIVE">
              <name>$ERROR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$MESSAGE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$ENVIRONMENTS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/monenv.dat}</physical>
              <options>MAPPED</options>
              <dataCaching>DYNAMIC</dataCaching>
              <autoFilter>$environmentid &gt; 0</autoFilter>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>ENVIRONMENTS_ENVIRONMENTI_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$ENVIRONMENTID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$ENVIRONMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$FILENAME</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$DATE_CREATED</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$CURRENT_CONNECTIONS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/monconn.dat}</physical>
              <options>MAPPED</options>
              <dataCaching>DYNAMIC</dataCaching>
              <autoFilter>$connectionid &gt; 0</autoFilter>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>CURRENT_CONN_CONNECTIONID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$CONNECTIONID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>CURRENT_CONN_ENVIRONMENTI_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$ENVIRONMENTID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>ENVIRONMENTS_ENVIRONMENTI_PK</referenceConstraintName>
              <referenceTableName>$ENVIRONMENTS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$ENVIRONMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$NODE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$ROLE</name>
              <datatype>STRING</datatype>
              <length>16</length>
            </column>
            <column type="NATIVE">
              <name>$TYPE</name>
              <datatype>STRING</datatype>
              <length>16</length>
            </column>
            <column type="NATIVE">
              <name>$PORT</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$PID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$INSTANCE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CLIENT_HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$CLIENT_PID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CLIENT_CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$PAST_CONNECTIONS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/connections_*.txt}</physical>
              <options>DELIMITED CHECK_FILELIST</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>PAST_CONNECT_CONNECTIONID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$CONNECTIONID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>PAST_CONNECT_ENVIRONMENTI_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$ENVIRONMENTID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>ENVIRONMENTS_ENVIRONMENTI_PK</referenceConstraintName>
              <referenceTableName>$ENVIRONMENTS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$ENVIRONMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$NODE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$ROLE</name>
              <datatype>STRING</datatype>
              <length>16</length>
            </column>
            <column type="NATIVE">
              <name>$TYPE</name>
              <datatype>STRING</datatype>
              <length>16</length>
            </column>
            <column type="NATIVE">
              <name>$PORT</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$PID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$INSTANCE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CLIENT_HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$CLIENT_PID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CLIENT_CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$CURRENT_STATEMENTS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/monstmts.dat}</physical>
              <options>MAPPED</options>
              <dataCaching>DYNAMIC</dataCaching>
              <autoFilter>$statementid &gt; 0</autoFilter>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>CURRENT_STMT_STMTID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$STATEMENTID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>CURRENT_STMT_CONNECTIONID_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$CONNECTIONID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>CURRENT_CONN_CONNECTIONID_PK</referenceConstraintName>
              <referenceTableName>$CURRENT_CONNECTIONS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$ENVIRONMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATEMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CURSOR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ROUTINE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ERROR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$RETRIEVED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$CPU</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ELAPSED</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATEMENT_TYPE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$SQL_STATEMENT</name>
              <datatype>STRING</datatype>
              <length>8192</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$PAST_STATEMENTS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/statements_*.txt}</physical>
              <options>DELIMITED QUOTES CHECK_FILELIST</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>PAST_STMT_STMTID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$STATEMENTID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>PAST_STMT_CONNECTIONID_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$CONNECTIONID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>PAST_CONNECT_CONNECTIONID_PK</referenceConstraintName>
              <referenceTableName>$PAST_CONNECTIONS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$ENVIRONMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATEMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CURSOR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ROUTINE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ERROR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$RETRIEVED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$CPU</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ELAPSED</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATEMENT_TYPE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$SQL_STATEMENT</name>
              <datatype>STRING</datatype>
              <length>8192</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$CURRENT_TASKS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/montasks.dat}</physical>
              <options>MAPPED</options>
              <dataCaching>DYNAMIC</dataCaching>
              <autoFilter>$taskid &gt; 0</autoFilter>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>CURRENT_STMT_STMTID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$TASKID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>CURRENT_STMT_CONNECTIONID_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$CONNECTIONID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>CURRENT_CONN_CONNECTIONID_PK</referenceConstraintName>
              <referenceTableName>$CURRENT_CONNECTIONS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$ENVIRONMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$TASKID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CURSOR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ROUTINE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ERROR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$RETRIEVED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$CPU</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ELAPSED</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$TASK_TYPE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$SQL_STATEMENT</name>
              <datatype>STRING</datatype>
              <length>8192</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$PAST_TASKS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/tasks_*.txt}</physical>
              <options>DELIMITED QUOTES CHECK_FILELIST</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>PAST_STMT_STMTID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$TASKID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>PAST_STMT_CONNECTIONID_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$CONNECTIONID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>PAST_CONNECT_CONNECTIONID_PK</referenceConstraintName>
              <referenceTableName>$PAST_CONNECTIONS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$ENVIRONMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$TASKID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CURSOR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ROUTINE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ERROR</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$RETRIEVED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$CPU</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ELAPSED</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$TASK_TYPE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$SQL_STATEMENT</name>
              <datatype>STRING</datatype>
              <length>8192</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$CURRENT_TASK_DETAILS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/montdtls.dat}</physical>
              <options>MAPPED</options>
              <dataCaching>DYNAMIC</dataCaching>
              <autoFilter>$task_detailid &gt; 0</autoFilter>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>CURRENT_TASKDTL_TASKDTLID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$TASK_DETAILID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>CURRENT_TASKDTL_TASKID_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$TASKID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>CURRENT_STMT_STMTID_PK</referenceConstraintName>
              <referenceTableName>$CURRENT_TASKS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$TASKID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$TASK_DETAILID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$OBJECT</name>
              <datatype>STRING</datatype>
              <length>128</length>
            </column>
            <column type="NATIVE">
              <name>$OBJECT_TYPE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ROWS_PROCESSED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$KEYWORDS_PROCESSED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$CPU</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ELAPSED</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$PAST_TASK_DETAILS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/taskdtls_*.txt}</physical>
              <options>DELIMITED CHECK_FILELIST</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>PAST_TASKDTL_TASKDTLID_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$TASK_DETAILID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
            <constraint type="FOREIGN">
              <name>PAST_TASKDTL_TASKID_FK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$TASKID</name>
                </constraintColumn>
              </constraintColumns>
              <referenceConstraintName>PAST_STMT_STMTID_PK</referenceConstraintName>
              <referenceTableName>$PAST_TASKS</referenceTableName>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$TASKID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$TASK_DETAILID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$OBJECT</name>
              <datatype>STRING</datatype>
              <length>128</length>
            </column>
            <column type="NATIVE">
              <name>$OBJECT_TYPE</name>
              <datatype>STRING</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$START_TIME</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$LAST_ACTIVITY</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ROWS_PROCESSED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$KEYWORDS_PROCESSED</name>
              <datatype>BIGINT</datatype>
              <length>8</length>
            </column>
            <column type="NATIVE">
              <name>$STATE</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$CPU</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ELAPSED</name>
              <datatype>FLOAT</datatype>
              <length>4</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$ODXNET</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/odxnet.log}</physical>
              <options>DELIMITED</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <columns>
            <column type="NATIVE">
              <name>$TIMESTAMP</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$LISTENERPID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$PID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CLIENTPID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$APPLICATION</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$SIGNAL</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTTIME</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$TOT_CONNECT</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CUR_CONNECT</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$TOT_CURSORS</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CUR_CURSORS</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$REQUESTS</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$FETCH</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$ROWS</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$DESCRIBE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$INFO</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$QUALIFY</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$INSERT</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$UPDATE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$DELETE</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$INDEX</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$QUERYSTATE</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$QUERYSTART</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$QUERYSTOP</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$QUERYELAPSED</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$SQL</name>
              <datatype>STRING</datatype>
              <length>8192</length>
            </column>
          </columns>
        </table>
        <table>
          <name>$PROCESS_DUMPS</name>
          <nodes>
            <node>
              <physical>{$OMNIDEX_LOGS/processdumps.txt}</physical>
              <options>DELIMITED ESCAPE=OFF</options>
              <dataCaching>DYNAMIC</dataCaching>
            </node>
          </nodes>
          <constraints>
            <constraint type="PRIMARY">
              <name>PROCESS_DUMPS_PK</name>
              <constraintColumns>
                <constraintColumn>
                  <name>$PROCESSID</name>
                </constraintColumn>
              </constraintColumns>
            </constraint>
          </constraints>
          <columns>
            <column type="NATIVE">
              <name>$PROCESSID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$HOST</name>
              <datatype>STRING</datatype>
              <length>64</length>
            </column>
            <column type="NATIVE">
              <name>$CONNECTIONID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$STATEMENTID</name>
              <datatype>INTEGER</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$SIGNAL</name>
              <datatype>CHARACTER</datatype>
              <length>32</length>
            </column>
            <column type="NATIVE">
              <name>$TIMESTAMP</name>
              <datatype>C DATETIME</datatype>
              <length>4</length>
            </column>
            <column type="NATIVE">
              <name>$CALL_STACK_FILENAME</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="NATIVE">
              <name>$DUMP_FILENAME</name>
              <datatype>STRING</datatype>
              <length>256</length>
            </column>
            <column type="PSEUDOCOLUMN">
              <name>$CALL_STACK</name>
              <datatype>STRING</datatype>
              <length>1048577</length>
              <pseudoColumn>$retrieve_file($CALL_STACK_FILENAME)</pseudoColumn>
            </column>
          </columns>
        </table>
      </tables>
    </database>
  </databases>

</environment>
